Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IIO

    java.lang.Object
      igeo.io.IIO

    public class IIO

extends java.lang.Object

A class to provide an interface to all File I/O.

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `IIO.FileType`

Field Summary
`static java.lang.String` | `extension3DXML`
`static java.lang.String` | `extensionAI`
`static java.lang.String` | `extensionObj`
`static java.lang.String` | `extensionRhino`

Constructor Summary
`IIO()`

Method Summary
`static java.lang.String` | `getExtension(java.lang.String filename)`
`static IIO.FileType` | `getFileType(java.lang.String filename)`
`static boolean` | `isExtension(java.lang.String filename, java.lang.String extension)`
`static boolean` | `open(java.io.File file, IServerI server)`
`static boolean` | `open(java.lang.String filename, IServerI server)`
`static boolean` | `open(java.lang.String filename, IServerI server, IInputWrapper wrapper)`
`static boolean` | `open3DXML(java.io.File file, IServerI server)`
`static boolean` | `open3DXML(java.io.InputStream istream, java.lang.String filename, IServerI server)`
`static boolean` | `openOBJ(java.io.File file, IServerI server)`
`static boolean` | `openOBJ(java.io.InputStream istream, IServerI server)`
`static boolean` | `openRhino(java.io.File file, IServerI server)`
`static boolean` | `openRhino(java.io.InputStream istream, IServerI server)`
`static boolean` | `save(java.io.File file, IServerI server)`
`static boolean` | `save(java.lang.String filename, IServerI server)`
`static boolean` | `saveAI(java.io.File file, IServerI server)`
`static boolean` | `saveAI(java.io.File file, IServerI server, double scale)`
`static boolean` | `saveOBJ(java.io.File file, IServerI server)`
`static boolean` | `saveRhino(java.io.File file, IServerI server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extensionObj

    public static final java.lang.String extensionObj

See Also:
  Constant Field Values

### extensionRhino

    public static final java.lang.String extensionRhino

See Also:
  Constant Field Values

### extension3DXML

    public static final java.lang.String extension3DXML

See Also:
  Constant Field Values

### extensionAI

    public static final java.lang.String extensionAI

See Also:
  Constant Field Values

Constructor Detail

### IIO

    public IIO()

Method Detail

### isExtension

    public static boolean isExtension(java.lang.String filename,
                                      java.lang.String extension)

### getExtension

    public static java.lang.String getExtension(java.lang.String filename)

### getFileType

    public static IIO.FileType getFileType(java.lang.String filename)

### open

    public static boolean open(java.lang.String filename,
                               IServerI server)

### open

    public static boolean open(java.io.File file,
                               IServerI server)

### open

    public static boolean open(java.lang.String filename,
                               IServerI server,
                               IInputWrapper wrapper)

### openOBJ

    public static boolean openOBJ(java.io.File file,
                                  IServerI server)

### openOBJ

    public static boolean openOBJ(java.io.InputStream istream,
                                  IServerI server)

### openRhino

    public static boolean openRhino(java.io.File file,
                                    IServerI server)

### openRhino

    public static boolean openRhino(java.io.InputStream istream,
                                    IServerI server)

### open3DXML

    public static boolean open3DXML(java.io.File file,
                                    IServerI server)

### open3DXML

    public static boolean open3DXML(java.io.InputStream istream,
                                    java.lang.String filename,
                                    IServerI server)

### save

    public static boolean save(java.lang.String filename,
                               IServerI server)

### save

    public static boolean save(java.io.File file,
                               IServerI server)

### saveOBJ

    public static boolean saveOBJ(java.io.File file,
                                  IServerI server)

### saveRhino

    public static boolean saveRhino(java.io.File file,
                                    IServerI server)

### saveAI

    public static boolean saveAI(java.io.File file,
                                 IServerI server)

### saveAI

    public static boolean saveAI(java.io.File file,
                                 IServerI server,
                                 double scale)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD